#!/usr/bin/python3
# -*- coding: utf-8 -*-
#
# generate_kurs.py: erzeugt den Python-Kurs/Tkinter als HTML-Dateien
# Vers. 001, 2023-07-26
#########################

import os.path
import time
import sys
import os
import string,codecs


pfad = "." + os.sep   # anpassen!!

mdList = 'md_list.txt'

mdListFile = codecs.open(pfad + mdList,"r", "utf-8")   

for line in mdListFile:
    mdFile = line.split(".")
    if len(mdFile[0]) > 2: # keine Leer-Einträge erlauben
        cmd = "./gen-bootstrap-toc.sh " + mdFile[0]
        print( cmd )
        os.system(cmd)
        time.sleep(1)
    
mdListFile.close()
 
#######################
# Testlauf in IDLE
##./gen-bootstrap-toc.sh beispiele
##./gen-bootstrap-toc.sh faq
##./gen-bootstrap-toc.sh index
##./gen-bootstrap-toc.sh lizenz
##./gen-bootstrap-toc.sh howTo
##./gen-bootstrap-toc.sh python01
##./gen-bootstrap-toc.sh python02
##./gen-bootstrap-toc.sh python03
##./gen-bootstrap-toc.sh python04
##./gen-bootstrap-toc.sh python05
##./gen-bootstrap-toc.sh python06
##./gen-bootstrap-toc.sh python07
##./gen-bootstrap-toc.sh python08
##./gen-bootstrap-toc.sh python09
##./gen-bootstrap-toc.sh python10
##./gen-bootstrap-toc.sh python11
##./gen-bootstrap-toc.sh python12
##./gen-bootstrap-toc.sh python13
##./gen-bootstrap-toc.sh python14
##./gen-bootstrap-toc.sh python15

