Projekt-HowTo
=============

### gen-bootstrap-toc.sh & htmlTitle.py

* Das Projekt via shell- und python-Skript erzeugen (, dazu eventuell die Datei-Liste "md_list.txt" durchgehen)
    * Das Skript "htmlTitle.py" extrahiert den Titel der HTML-Datei aus der MD-Datei "$1.md" (erste Zeile, unterstrichen mit =====) und erzeugt die HTML-Datei "head.html" aus dem Template "head.temp"
    * "$1" steht für den Parameter (das Argument), der dem shell-Skript "gen-bootstrap-toc.sh" übergeben wird.
    * Das Skript "gen-bootstrap-toc.sh" ruft zuerst "htmlTitle.py" auf: `/usr/bin/python htmlTitle.py $1.md`. 
    * Im zweiten Schritt wird mit dem Python-Markdown Modul die md-Datei nach HTML kovertiert: <br />`/usr/bin/python -m markdown --encoding=utf-8 --extension=markdown.extensions.toc  --extension=markdown.extensions.tables $1.md -f main.html` <br /> Ergebnis ist die Datei "main.html".
    * Im dritten Schritt werden die vier Dateien "head.html", "toc.html", "main.html" und   "\_end\_.html" via `cat`zusammengesetzt zu einer HTML-Datei: "$1.html": <br />`cat head.html toc.html main.html  _end_.html > $1.html`


* * *

#### Die Unterverzeichnisse

* `beispiele`: Enthält die Beispiele als Python (\*.py) sowie als \*.html-Datei

* `js`: Ordner für die js-Dateien

* `media`: Ordner für die Bilder
    * Bilder in den media-Ordner kopieren, Link zu den Bildern: "./bild001.png"   &rarr;  "./media/bild001.png"

* `themes`: Ordner für die css-Dateien


* * *

### To Do

* Beispiele: py2.7  &rarr; py3.x   &rarr; ok

* Die Beispiel `text_04.py` und `entry_02.py`   &rarr; ok

* Zu den Python-Beispielen die HTM-Dateien neu erzeugen &rarr; sourceParser-vers009a (tkSourceParser.py)   &rarr; ok

* Tkinter zum Probieren: 
    * Theorieteil &rarr;   ok
    * `tkinter_index.md` (=Startseite) und `tkinter_links.md` &rarr;  ok

* Das Chat-Programm &rarr;  ok

* * *

* sp, 2023-07-28


* * *

