Probieren: Text- & Eingabefenster
====================================

* * *

[TOC]

* * *

## Textfenster


Probiere folgendes **Beispiel** in IDLE:

    
    
    >>> from tkinter import *
    >>> root = Tk()
    >>> textfenster = Text(root)
    >>> textfenster.pack()
    >>> root.mainloop()
    

Wie hat sich unser Fenster verändert?

Probiere jetzt:

    
    
    >>> # Skript von oben
    >>> textfenster.insert(END,"Hallo Info E2")
    >>> root.mainloop()
    

Wirkung?

Du kannst auch selbst etwas SINNVOLLES in das **Textfenster** eingeben, aber
wie kommen wir an den Text im Textfenster? So:

    
    
    >>> # Skript von oben
    >>> def hole():
            print( textfenster.get('1.0',END) )
    >>> but = Button(root,text='Hole', command = hole)
    >>> but.pack(side = LEFT)
    >>> root.mainloop()
    

Wir haben hier unseren Button mit einer Aktion belegt, welcher? `_____________________________`

* * *

## Eingabefenster

**Zweites Beispiel: Eingabefenster** `Entry()`

    
    
    >>> from tkinter import *
    >>> root = Tk()
    >>> eingabe=Entry(root)
    >>> eingabe.pack()
    >>> root.mainloop()
    

Beschreibe die Veränderungen!

Auch hier funktioniert die get-Methode, probiere also folgendes:

Gib in deine Eingabezeile ![](./media/tkinter_entry_01.jpg) etwas SINNVOLLES ein:
![](./media/tkinter_entry_02.jpg)

und versuche es, mit einem Button und der Funktion `hole` von oben mit
`print( eingabe.get( ? ? ? ) )` irgendwie auszugeben, falls du Erfolg gehabt
hast, halte es hier fest: `________________________________________________`

Versuche nun, statt der insert-Methode vom Textfenster die insert-Methode der
Eingabezeile, also `eingabe.insert( ? ? ? )` in dein Beispiel einzubauen, an welche 
Stelle muss der Befehl `eingabe.insert( ? ? ? )`?

Probiere, nur mit insert-Befehlen folgendes Eingabe-Fenster

![](./media/tkinter_entry_05.jpg)

aus dem Fenster oben zu erzeugen, viel Glück!


<hr style="page-break-after:always">

&rarr; sp, 2023-07-27

* * *
