Probieren: Titel & Scrolling
===============================


* * *

[TOC]

* * *


Zu einem Chat-Programm fehlt uns noch:

1. Ein Titel im Fenster oben
2. Eine Bildlaufleiste (Warum?)
3. Ein Beenden-Button

Unser Ergebnis könnte so aussehen:

![Chatten mit Python](./media/chat_tkinter2.jpg)

* * *  

## Der Titel

    
    
    >>> from tkinter import *
    >>> root = Tk()
    >>> root.title('Chatten mit Python')
    >>> root.mainloop()
   
* * *    

## Die Bildlaufleiste

    
    
    >>> from tkinter import *
    >>> from tkinter import scrolledtext
    >>> root = Tk()
    >>> textfenster = scrolledtext.ScrolledText(root,width=90)
    >>> textfenster.pack()
    >>> root.mainloop()
    

`ScrolledText` ist ein Widget, das auf Tkinter aufbaut. In diesem Fall wird das Textfenster `Text` um eine vertikale Bildlaufleiste (= `Scrollbar`) erweitert.

* **Aufgabe:** Wofür benötigt man denn eine vertikale Bildlaufleiste? `___________________________________`

* * *

## Der Beenden-Button

muss in etwa das gleiche leisten wie der Klick auf das kleine Kreuz im Fenster
oben rechts: ![](./media/tkinter_beenden.jpg)

    
    
    >>> from tkinter import *
    >>> root = Tk()
    >>> def ende():
            root.destroy()
    

`root.destroy()` schließt das momentan geöffnete Fenster, hier also das
`root`-Fenster, in dem unsere chat-Anwendung läuft, genau wie der Klick auf
das kleine Kreuz im Fenster oben! Und hier noch die

* * *

## Aufgabe

Erweitere dein Python-Programm vom letzten Mal um die Dinge, die hier stehen: Beenden-Button, Bildlaufleiste und Titel!


<hr style="page-break-after:always">

&rarr; sp, 2023-07-27

* * *
